enumerations

## Enum DataHeaderType

- java.lang.Object
- - java.lang.Enum<DataHeaderType>
  - - enumerations.DataHeaderType

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<DataHeaderType>

      public enum DataHeaderType
      extends java.lang.Enum<DataHeaderType>
      implements EnumBase

  Data header types supported by Wireless M-Bus.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Long`
    `Short`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `length`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()`
    `java.lang.String` | `getNiceName()`
    `java.lang.String` | `toString()`
    `static DataHeaderType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataHeaderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### Long

          public static final DataHeaderType Long

    - #### Short

          public static final DataHeaderType Short

  - ### Field Detail

    - #### length

          private int length

    - #### niceName

          private java.lang.String niceName

  - ### Method Detail

    - #### getLength

          public int getLength()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DataHeaderType>`

    - #### valueOf

          public static DataHeaderType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static DataHeaderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataHeaderType c : DataHeaderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared